// Patches for some specific sites
var href = location.href;
if(href == "http://www.google.com.tw/") {
(function(){
    opera.addEventListener('BeforeEventListener.keyup', function(e) {
        if(e.event.target.name=='q') e.preventDefault();
    }, false);
    opera.addEventListener('BeforeEventListener.keydown', function(e) {
        if(e.event.target.name=='q') {e.preventDefault();}
    }, false);
    var setInt=window.setInterval;
    setInterval=function(func,time){
	if( time==10 )time=2000;
	setInt.call(this, func,time);
    };
    })()
}
if(href == "http://www.tw.yahoo.com/") {
(function(){
    opera.addEventListener('BeforeEventListener.keyup', function(e) {
        if(e.event.target.name=='q') e.preventDefault();
    }, false);
    opera.addEventListener('BeforeEventListener.keydown', function(e) {
        if(e.event.target.name=='q') {e.preventDefault();}
    }, false);
    })()
}